package com.hr.fegin.demo2;

import com.yy.basedevelop.common.data.BasePageResult;
import com.yy.basedevelop.common.data.BaseReturnDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author AAA
 * @createTime 2025/9/24 17:48
 **/
@FeignClient(name = "demo2")
public interface Demo2FeginServer {
    @GetMapping("test1")
    public BaseReturnDto testremote1();

    @GetMapping("test2")
    public BasePageResult testremote2();


    @GetMapping("trans1")
    public BaseReturnDto trans1();

    @GetMapping("trans2")
    public BasePageResult trans2();
}
